Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2014-03-10 03:07:09 +0000
committerDavid Williams2014-03-10 03:07:09 +0000
commitecc98fc6d9206b0d51bfb8d63337679ccabc4960 (patch)
tree09d38a4b10fe2fd66e980fcdc4b880619fe5e516
parent035b09298f5ead5d9c1c8bafd2191debcc9e4731 (diff)
downloadeclipse.platform.releng.aggregator-ecc98fc6d9206b0d51bfb8d63337679ccabc4960.tar.gz
eclipse.platform.releng.aggregator-ecc98fc6d9206b0d51bfb8d63337679ccabc4960.tar.xz
eclipse.platform.releng.aggregator-ecc98fc6d9206b0d51bfb8d63337679ccabc4960.zip
[releng] misc. sycn with patch branch to carry improvements forward.
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/process-artifacts.xml52
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/publish.xml1
-rw-r--r--eclipse.platform.releng.tychoeclipsebuilder/eclipse/publishingFiles/staticDropFiles/buildlogs.php4
-rw-r--r--production/master-build.sh33
-rw-r--r--production/publish-eclipse.sh4
-rw-r--r--production/publish-equinox.sh1
6 files changed, 55 insertions, 40 deletions
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/process-artifacts.xml b/eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/process-artifacts.xml
index 9eb8b761e..53e856631 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/process-artifacts.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/process-artifacts.xml
@@ -3,17 +3,34 @@
basedir=".">
<target
name="processArtifacts"
- depends="doMirror">
+ depends="doRemoves,doMirror">
+ <!-- if not specified, assume doPack = false ... maintains default behavior, if nothing done -->
+ <property name="doPack" value="false" />
+
+ <!--
+ This call is to get MD5 hash sums included. We do NOT call pack, since
+ already should be packed, where appropriate.
+ This is a work around we can likely remove eventually. See bug 406263.
+ For PATCH_BUILDs we call twice, once with doPack=false, (do we can do zip file,
+ without pack.gz files, and a second time, with doPack=true, for
+ better access via http.
+ -->
+ <p2.process.artifacts pack="${doPack}" repositoryPath="file://${siteDirOnBuildMachine}" />
+
+
+ </target>
+
+ <target
+ name="doRemoves"
+ unless="doNotRemove">
+ <!-- normally, caller would set repositoryDir, but for local operation, can hard code here -->
+ <property
+ name="repositoryDir"
+ value="/shared/webtools/committers/wtp-R3.3.0-I/20101209114749/S-3.3.0M4-20101209114749/repository" />
<!-- This is to remove IUs handy during the build, but not really
needed in final repo -->
<!--
- we used to remove this IU, but leavig it now.
- See bug 378137
- https://bugs.eclipse.org/bugs/show_bug.cgi?id=378137
- <iu id="org.aspectj.runtime" />
- -->
- <!--
Note, we used to not remove
master-equinox.feature.group
but that technically makes the repo invalid since
@@ -27,32 +44,13 @@
-->
<p2.remove.iu>
<repository location="file://${siteDirOnBuildMachine}" />
- <iu id="org.aspectj.weaver" />
<iu id="master.feature.group" />
<iu id="master.feature.jar" />
- <!-- 406756
- <iu id="master-ecf.feature.group" />
- -->
- <!-- bug 406746
- <iu id="master-jetty.feature.group" />
- -->
- <iu id="master-equinox-weaving.feature.group" />
- <iu id="master-equinox-weaving.feature.jar" />
<iu id="master-equinox.feature.group" />
<iu id="master-equinox.feature.jar" />
<iu id="eclipse-junit-tests" />
- <iu query="property[@name='org.eclipse.equinox.p2.type.category']" />
-
+ <iu query="property[@name='org.eclipse.equinox.p2.name' @value='Uncategorized']" />
</p2.remove.iu>
-
- <!--
- This call is to get MD5 hash sums included. We do NOT call pack, since
- already should be packed, where appropriate.
- This is a work around we can likely remove eventually. See bug 406263.
- -->
- <p2.process.artifacts repositoryPath="file://${siteDirOnBuildMachine}" />
-
-
</target>
<target
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/publish.xml b/eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/publish.xml
index 64f5c2480..b556b6905 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/publish.xml
+++ b/eclipse.platform.releng.tychoeclipsebuilder/eclipse/buildScripts/publish.xml
@@ -40,6 +40,7 @@
<property name="xmlDirectoryName" value="${result}/testresults/xml" />
<property name="dropDirectoryName" value="${result}" />
<property name="testResultsTemplateFileName" value="${basedir}/templateFiles/testResults.php.template" />
+<!-- TODO: should require this, and others to be passed in, and fail, if not -->
<property name="dropTemplateFileName" value="${basedir}/templateFiles/index.html.template" />
<property name="testResultsHtmlFileName" value="testResults.php" />
<property name="hrefTestResultsTargetPath" value="testresults/html" />
diff --git a/eclipse.platform.releng.tychoeclipsebuilder/eclipse/publishingFiles/staticDropFiles/buildlogs.php b/eclipse.platform.releng.tychoeclipsebuilder/eclipse/publishingFiles/staticDropFiles/buildlogs.php
index a12ec0c79..322a7d056 100644
--- a/eclipse.platform.releng.tychoeclipsebuilder/eclipse/publishingFiles/staticDropFiles/buildlogs.php
+++ b/eclipse.platform.releng.tychoeclipsebuilder/eclipse/publishingFiles/staticDropFiles/buildlogs.php
@@ -142,7 +142,9 @@ if (window.attachEvent) window.attachEvent("onload", sfHover);
<div class="homeitem3col">
<?php
echo "<title>Release Engineering logs for $BUILD_ID</title>\n";
-
+ echo "<h3>Build Properties for $BUILD_ID</h3>\n";
+ echo "<p><a href=\"mavenproperties.properties\">Key Maven Properties</a></p>\n";
+ echo "<p><a href=\"buildproperties.properties\">Other Build Properties</a></p>\n";
echo "<h3>Release Engineering Logs for $BUILD_ID</h3>\n";
?>
diff --git a/production/master-build.sh b/production/master-build.sh
index 2dc162c3f..01239b4ae 100644
--- a/production/master-build.sh
+++ b/production/master-build.sh
@@ -42,6 +42,10 @@ if [[ "${BUILD_TYPE}" == "N" ]]
then
GIT_PUSH='echo no git push done since Nightly'
fi
+if [[ "${BUILD_TYPE}" =~ [XY] ]]
+then
+ GIT_PUSH='echo no git push done since Experimental build'
+fi
GIT_PUSH=${GIT_PUSH:-'git push'}
@@ -202,6 +206,8 @@ fn-write-property CBI_JDT_REPO_URL
fn-write-property CBI_JDT_REPO_URL_ARG
fn-write-property CBI_JDT_VERSION
fn-write-property CBI_JDT_VERSION_ARG
+fn-write-property PATCH_BUILD
+fn-write-property ALT_POM_FILE
# any value of interest/usefulness can be added to BUILD_ENV_FILE
if [[ "${testbuildonly}" == "true" ]]
then
@@ -220,7 +226,6 @@ fn-write-property BUILD_TIME_PATCHES
fn-write-property BUILD_HOME
-
$SCRIPT_PATH/get-aggregator.sh $BUILD_ENV_FILE 2>&1 | tee ${GET_AGGREGATOR_BUILD_LOG}
# if file exists, then get-aggregator failed
if [[ -f "${buildDirectory}/buildFailed-get-aggregator" ]]
@@ -318,9 +323,9 @@ else
fi
echo "# " >> ${buildDirectory}/directory.txt
- echo "# .../streams/repositories.txt" >> ${buildDirectory}/directory.txt
+ echo "# .../streams/repositories${PATCH_BUILD}.txt" >> ${buildDirectory}/directory.txt
echo "# " >> ${buildDirectory}/directory.txt
- cat $STREAMS_PATH/repositories.txt >> ${buildDirectory}/directory.txt
+ cat $STREAMS_PATH/repositories${PATCH_BUILD}.txt >> ${buildDirectory}/directory.txt
echo "# " >> ${buildDirectory}/directory.txt
@@ -384,15 +389,23 @@ else
echo "No repo published, since BUILD_FAILED"
fi
+#For now, only "publish equinox and promote" if I or M build, skip if P, X, or Y
-# We don't promote equinox if there was a build failure, and we should not even try to
-# create the site locally, because it depends heavily on having a valid repository to
-# work from.
-if [[ -z "${BUILD_FAILED}" ]]
+# TODO: probably never need to promote equinox, for patch build?
+# TODO: Unclear how/when to send mailing list notification for patch builds.
+
+if [[ $BUILD_TYPE =~ [IM] ]]
then
- $SCRIPT_PATH/publish-equinox.sh $BUILD_ENV_FILE >$logsDirectory/mb085_publish-equinox_output.txt
- checkForErrorExit $? "Error occurred during publish-equinox"
-fi
+
+ # We don't promote equinox if there was a build failure, and we should not even try to
+ # create the site locally, because it depends heavily on having a valid repository to
+ # work from.
+ if [[ -z "${BUILD_FAILED}" ]]
+ then
+ $SCRIPT_PATH/publish-equinox.sh $BUILD_ENV_FILE >$logsDirectory/mb085_publish-equinox_output.txt
+ checkForErrorExit $? "Error occurred during publish-equinox"
+ fi
+fi
# if all ended well, put "promotion scripts" in known locations
$SCRIPT_PATH/promote-build.sh $BUILD_KIND $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/mb090_promote-build_output.txt
diff --git a/production/publish-eclipse.sh b/production/publish-eclipse.sh
index 39929d056..9bfec08d2 100644
--- a/production/publish-eclipse.sh
+++ b/production/publish-eclipse.sh
@@ -45,11 +45,11 @@ fn-parse-compile-logs "$BUILD_ID" \
"$buildDirectory" "$launcherJar"
fn-summarize-comparator-logs "$BUILD_ID" \
- "$EBuilderDir"/eclipse/buildScripts/eclipse_compare.xml \
+ "${EBuilderDir}/eclipse/buildScripts/eclipse_compare.xml" \
"$buildDirectory" "$launcherJar"
fn-summarize-apitooling "$BUILD_ID" \
- "$EBuilderDir"/eclipse/buildScripts/api-tools-builder.xml \
+ "${EBuilderDir}/eclipse/buildScripts/api-tools-builder.xml" \
"$buildDirectory" "$launcherJar"
fn-publish-eclipse "$BUILD_TYPE" "$STREAM" "$BUILD_ID" "$aggDir" "$buildDirectory" "$launcherJar"
diff --git a/production/publish-equinox.sh b/production/publish-equinox.sh
index 18f91c053..bfc57203c 100644
--- a/production/publish-equinox.sh
+++ b/production/publish-equinox.sh
@@ -133,6 +133,7 @@ fn-publish-equinox ()
-DpostingDirectory=$BUILD_DIR \
-DequinoxPostingDirectory=$BUILD_MACHINE_DROP_DIR_PARENT \
-DeqpublishingContent="$EBuilderDir"/equinox/publishingFiles \
+ -DdropTemplateFileName="$EBuilderDir/eclipse/publishingFiles/templateFiles/index.php.template${PATCH_BUILD}" \
-DbuildLabel="$BUILD_ID" \
-DEBuilderDir="$EBuilderDir" \
-DeclipseStream=$BUILD_STREAM \

Back to the top